//正则验证
function formYz(e) {
    var flag = true;
    var reg = null;
    var val = e.val();
    if (e.attr("iname") == "mobile") {
        reg = /^1[3|4|5|7|8]\d{9}$/;
        if (!reg.test(val)) {
            flag = false;
        }
    }
    if (e.attr("iname") == "email") {
        reg = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (!reg.test(val)) {
            flag = false;
        }
    }
    if (e.attr("iname") == "idcard") {
        reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
        if (!reg.test(val)) {
            flag = false;
        }
    }
    if (e.attr("name") == "postcode") {
        reg = /^[1-9]\d{5}(?!\d)/;
        if (!reg.test(val)) {
            flag = false;
        }
    }
    return flag;
}

//阻止添加合作单位事件冒泡
function stopPrGa(event) {
    var e=event||window.event;
    e.stopPropagation();
}


/*sino医生端弹框*/
//打开弹框
function openBomb(e, endFn) {
    //debugger
    stopPrGa(event);
    $(e).css('left', 'auto');
    $(e).animate({'right':'0' }, 500, function () {
        endFn&&endFn();
    });
}
//关闭弹框
function closeBomb(e,endFn) {
    var owid=$(e).width();
    $(e).animate({'right':'-'+owid},500,function(){
        endFn&&endFn();
    });
}

//查看大图
function watchPhoto(js) {
    layer.photos({
        photos: js //格式见API文档手册页
        , shift: 5
    });
}

//不良事件 严重不良事件 表格质疑按钮
function showIframe(event, e,u) {
    event = window.event || event;
    event.stopPropagation();
    $(e).parents('tbody').find('tr').removeClass('meddra_sty').end().end().parents('tr:first').addClass('meddra_sty');
    $(".np_prop").empty();
    var searchTxt = escape($.trim($(e).parents('tr:first').find('td:first').text()));
    parseInt($(".np_prop").css("right")) < 0 && $(".np_prop").stop(true).animate({ right: "0px" });
    var projectid = $(e).attr("projectid"),
        visitid = $(e).attr("visitid"),
        moduleid = $(e).attr("moduleid"),
        columnid = $(e).attr("columnid"),
        rowid = $(e).attr("rowid"),
        dataId = $(e).attr("dataId"),
        patientid = $(e).attr("patientid");
    var locaHref = location.hostname;
    //$('.np_prop').append($('<iframe width="100%" height="99%" src="http://91trial.ashermed.com/medDRA/Home/search?type=SOC&keyword=' + searchTxt + '">'));
    $('.np_prop').append($('<iframe projectid="' + projectid + '" dataId="' + dataId + '"  visitid="' + visitid + '"  moduleid="' + moduleid + '"  columnid="' + columnid + '" rowid="' + rowid + '"  patientid="' + patientid + '" width="100%" height="99%" src="'+ u +'?type=SOC&keyword=' + searchTxt + '">'));
}

//页面 标题宽度动态计算
function calcHeader() {
    var headerWidth = $('.mains .nheader').length > 0 ? $('.mains .nheader').width() : 0,
        headerH2 = $('.mains .nheader h2').length > 0 ? $('.mains .nheader h2').removeClass('changeSty').removeAttr('style').width() : 0,
        headerBtn = $('.mains .nheader .nbtn').length > 0 ? $('.mains .nheader .nbtn').outerWidth() : 0,
        navWidth = $('.mains .nheader .nnav').length > 0 ? $('.mains .nheader .nnav').removeClass('pull-right').removeAttr('style').width() : 0,
        headerHeight = $('.mains .nheader').height() + 10,
        allWidth = headerH2 + headerBtn + navWidth,
        calcH2Max = headerWidth - headerBtn - navWidth;
    if (allWidth >= headerWidth && calcH2Max > 0) {
        if (headerH2 >= calcH2Max) {
            $('.mains .nheader h2').width(calcH2Max - 20).addClass('changeSty');
            $('.mains .nheader .nnav').addClass('pull-right');
            headerHeight = $('.mains .nheader').height() + 10;
        } else {
            $('.mains .nheader h2').css('width', 'auto');
            $('.mains .nheader .nnav').removeClass('pull-right').css({
                "text-alight": "center"
            });
            headerHeight = $('.mains .nheader').height() + 10;
        }
    } else {
        $('.mains .nheader .nnav').css({
            "text-alight": "center",
            "float": "none"
        });
        headerHeight = $('.mains .nheader').height() + 10;
    }
    if (headerHeight > 62) {
        $('.mains .nwrap').css({
            "height": "calc(100% - " + headerHeight + "px)"
        });
    } else {
        $('.mains .nwrap').removeAttr("style");
    }
}


//获取验证码后回调60s内禁止用户点击
function getAgain() {
    $('.getCode').attr("disabled", "disabled");
    var times = 60;
    var getTimer=null;
    $('.getCode').html(times + 's后再次获取');
    clearInterval(getTimer);
    getTimer = setInterval(function () {
        times--;
        if (times <= 0) {
            clearInterval(getTimer);
            $('.getCode').html('获取验证码');
            $('.getCode').removeAttr("disabled");
        } else {
            $('.getCode').html(times + 's后再次获取');
        }
    }, 1000);
    return getTimer;
}
//登陆页面表单验证
function commit(e) {
    //debugger;
    var flag = 1;
    $(e).find('input.required,select.required,textarea.required').each(function () {
        //debugger
        var getVal = $(this).val();
        var textname = $(this).attr('textname');
        var info="请填写";
        if($(this).is('select')){
            info="请选择";
        }
        if (!getVal) {
            flag = 0;
            //layer.msg("请填写" + textname + "!");
            error(info + textname + "!");
            return false;
        } else if(!formYz($(this))){
            flag = 0;
            error(textname + "格式错误!");
            return false;
        }
    })
    return flag;
}
function error(str){
    $('.error').html(str);
    $('.error').show();
    setTimeout(function () {
        $(".error").html("");
        $(".error").hide();
    }, 2000);
}

//表单验证
function VerifyForm(e) {
    var tl, tlcr;
    var d = true;
    if (e) {
        tl = $(e).find("input.required,textarea.required,select.required");
        tlcr = $(e).find("div.required");
    } else {
        tl = $("input.required,textarea.required,select.required")
        tlcr = $("div.required")
    }

    tl.each(function () {
        if (!$(this).is(":hidden")) {

            if ($(this).val() == "") {
                $(this).parents('.w_margin').addClass('has-error');
                d = false;
            } else if (!formYz($(this))) {
                $(this).parents('.w_margin').addClass('has-error');//正则验证失败
                d = false;
            }
            $(this).keyup(function () {
                $(this).parents('.w_margin').removeClass('has-error');
                if (!formYz($(this))) {
                    $(this).parents('.w_margin').addClass('has-error');//正则验证失败
                }

            });
        }
    });
    tlcr.each(function () {
        if (!$(this).is(":hidden")) {
            if (!$(this).find('input:checked').length) {
                $(this).parents('.w_margin').addClass('has-error');
                d = false;
            }
        }
    });
    return d;
}

//点击单选多选框
function checkclick(a) {
    $(a).find('option[value=' + $(a).val() + ']');
    var eid = $(a).attr("showid");
    var seid = $(a).find('option[value=' + $(a).val() + ']').attr('showid');
    var ss = 'div[showid=' + eid + '],.shownone[showid=' + eid + ']';
    var sele = 'div[showid=' + seid + '],.shownone[showid=' + seid + ']';
    if ($(a).is(':checked')) {
        $(a).parents('.w_margin').removeClass('has-error'); //选择清除

        if ($(a).attr('type') == 'radio') {
            var ralist = $(a).parents('.radio,.radio-inline').siblings('.radio,.radio-inline');
            ralist.each(function () {
                var sid = $(this).find('input[type="radio"]').attr('showid');

                if (sid != eid) {
                    var sss = 'div[showid=' + sid + '],.shownone[showid=' + sid + ']';
                    hidelist(sss)
                }
            });
            $(ss).show();

        }

        else {
            $(ss).show();
        }
    }

    else if ($(a).is('select')) {
        $(a).parents('.w_margin').removeClass('has-error');
        var ralist = $(a).find('option');

        ralist.each(function () {
            var sid = $(this).attr('showid');

            if (sid != seid) {
                var sss = 'div[showid=' + sid + '],.shownone[showid=' + sid + ']';
                hidelist(sss)
            }
        })
        $(sele).show();
    }

    else {
        var check = $(a).parents('.checkbox').siblings('.checkbox').find('input[showid=' + eid + ']');
        if (!check.attr('checked')) {
            hidelist(ss)
        }


    }
}


function hidelist(e) {
    $(e).find('.w_margin').removeClass('has-error');
    $(e).find('input[type="radio"],input[type="checkbox"]').attr('checked', false);
    $(e).find('input[type="text"],textarea,select').val('');
    $(e).hide();
}

function timeadd() {
    var timestamp = Date.parse(new Date());
    timestamp = timestamp / 1000;
    return '&' + timestamp;
}


function particular(e, url, f, event) {
    debugger;
    event = window.event || event || arguments.callee.caller.arguments[0];
    event.stopPropagation();
    //$(".namin_td li").removeClass("ntb_skip");
    //$(e).addClass("ntb_skip");
    $(".nshow").html("");
    $(".nshow").show();
    //$(".nshow").empty().show();
    //url = url + timeadd();
    if (f == "noFlag") {
        layer.alert('访视未填写，无法打开!', {
            skin: 'nprs2',
            title: false,
            shade: 0,
            shift: 3,
            btn: false,
            time: 3000
        });
    } else {
        $(".nshow").animate({ right: "0" }, 500, function () {
            layer.load(2);
            var ajaxTimeoutTest =$.ajax({
                url: url,  //请求的URL
                timeout: 30000, //超时时间设置，单位毫秒
                type: 'get',  //请求方式，get或post
                //data: {},  //请求所传参数，json格式
                dataType: 'html',//返回的数据格式
                success: function (result) { //请求成功的回调函数
                    layer.closeAll();
                    if (result) {
                        $(".nshow").html(result);
                        //$(".mains").hide();
                        //patH();
                    }
                },
                error: function () {
                    layer.closeAll();
                    layer.alert('请求失败!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                    errFun();
                },
                complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
                    if (status == 'timeout') {//超时,status还有success,error等值的情况
                        ajaxTimeoutTest.abort();
                        layer.closeAll();
                        layer.alert('网络不通畅,请重试!', {
                            skin: 'nprs2',
                            title: false,
                            shade: 0,
                            shift: 3,
                            btn: false,
                            time: 3000
                        });
                        errFun();
                    }
                }
            });
        });
    }
    //$.get(url).success(function (result) {
    //    layer.closeAll();
    //    if (result) {
    //        $(".nshow").append(result);
    //        $(".nshow").animate({ right: "0" }, 500);
    //        $(".mains").hide();
    //        patH();
    //    }
    //});
}

function inadd() {
    $(".nshow").show();
    $(".nshow").animate({ right: "0" }, 500);
    $(".mains").fadeOut("slow");
}

function errFun() {
    $(".nshow").hide();
    $(".nshow").css("right", "-100%");
    $(".mains").fadeIn("slow");
}

function nback() {
    $(".nshow").animate({ right: "-100%" }, 500, function () {
        if ($('.p_nback').attr('pflag')) {
            if ($('.p_nback').attr('pflag') == '1') {
                window.location.reload()
            }
            $('.p_nback').attr('pflag', '0');
        };
        $(".mains").fadeIn("slow");
        $(".np_prop").width(600);
        $(".np_prop").css("right", "-610px");
        $(".pcs_tr").removeClass("pcs_tr_sty");
        $(".pcs_tta tbody tr").removeClass("pcs_tr_sty");
        $(".mains .nmain").removeClass("nmain_pcs");
        $(".nshow").hide();
        patH();
        layer.closeAll();
    });
}
function nback2(endFn) {
    $(".nshow").animate({ right: "-100%" }, 500, function () {
        endFn&&endFn();
    });
}

function stopmp(e) {
    e = e || window.event;
    //console.log(e);
    e.stopPropagation();
}

//替换html的loading ajax前更换gif  ajax后替换gif
function load(e) {
    $(e).html('<div class="nmid_np"><div class="wrapper nano"><div class="la-ball-atom la-2x"><div></div><div></div><div></div><div></div></div></div></div>');
}
//遮罩层loading  ajax前调用
function loadshow() {
    $("body").append('<div class="nmid_np"><div class="wrapper nano"><div class="la-ball-atom la-2x"><div></div><div></div><div></div><div></div></div></div></div>');
}
//关闭遮罩层loading ajax后调用
function loadhide() {
    $(".wrapper").remove();
}

function ts1() {
    //layer.msg('设置成功',{
    //    skin: 'nprs1',
    //    shift: 3,
    //    time: 0
    //});
    layer.alert('设置成功', {
        skin: 'nprs1',
        title: false,
        shade: 0,
        shift: 3,
        btn: false,
        time: 3000
    });
}

function ts2() {
    //layer.msg('保存失败',{
    //    skin: 'nprs2',
    //    time: 0
    //});
    layer.alert('保存失败', {
        skin: 'nprs2',
        title: false,
        shade: 0,
        shift: 3,
        btn: false,
        time: 3000
    });
}

function loading() {
    //加载层-默认风格
    layer.load();
    //此处演示关闭
    setTimeout(function () {
        layer.closeAll('loading');
    }, 2000);
}

function loadingt() {
    layer.open({
        type: 1,
        title: false,
        area: ['50%', '50%'],
        scrollbar: false,
        shade: 0,
        closeBtn: 0,
        content: '<div class="nmid_np"><div class="wrapper nano"><div class="la-ball-atom la-2x"><div></div><div></div><div></div><div></div></div></div></div>'
    });
    setTimeout(function () {
        layer.closeAll();
    }, 2000);
}

function propshow() {

}

function imgcut(e) {
    $(e).parent().remove();
}

function changeClass(view, style, my) {
    $(view).removeClass(style);
    $(my).addClass(style);
}

function filecs(e) {
    var oFileInput = new FileInput();
    oFileInput.Init(e, "../content/img");
}


//var FileInput = function () {
//    var oFile = new Object();
//    //初始化fileinput控件（第一次初始化）
//    oFile.Init = function(ctrlName, uploadUrl) {
//        var control = $('#' + ctrlName);
//        //初始化上传控件的样式
//        control.fileinput({
//            language: 'zh', //设置语言
//            uploadUrl: uploadUrl, //上传的地址
//            allowedFileExtensions: ['jpg', 'gif', 'png'],//接收的文件后缀
//            showUpload: true, //是否显示上传按钮
//            //showCaption: false,//是否显示标题
//            browseClass: "btn btn-primary", //按钮样式
//            //dropZoneEnabled: false,//是否显示拖拽区域
//            //minImageWidth: 50, //图片的最小宽度
//            //minImageHeight: 50,//图片的最小高度
//            //maxImageWidth: 1000,//图片的最大宽度
//            //maxImageHeight: 1000,//图片的最大高度
//            //maxFileSize: 0,//单位为kb，如果为0表示不限制文件大小
//            //minFileCount: 0,
//            maxFileCount: 10, //表示允许同时上传的最大文件个数
//            enctype: 'multipart/form-data',
//            validateInitialCount:true,
//            previewFileIcon: "<i class='glyphicon glyphicon-king'></i>",
//            msgFilesTooMany: "选择上传的文件数量({n}) 超过允许的最大数值{m}！",
//        });
//        //导入文件上传完成之后的事件
//        //$("#" + e).on("fileuploaded", function (event, data, previewId, index) {
//        //    var data = data.response.lstOrderImport;
//        //    if (data == undefined) {
//        //        toastr.error('文件格式类型不正确');
//        //        return;
//        //    }
//        //});
//    };
//    return oFile;
//};

function datecs(e) {
    $('#' + e).datepicker({
        language: 'zh-CN',
        autoclose: true,
        todayHighlight: true
    });
}

function timecs(e) {
    $('#' + e).timepicker({
        showMeridian: false
    });
}

function patH() {
    //var footer_show = $('.footer_show').length > 0 ? $('.footer_show').outerHeight() : 0;
    //$(".pattern_main > li").height($(".pattern_main > li").width());
    //$(".mains .nwrap").height($(window).height() - $(".nheader,.nheader_set").height() - footer_show - 20);
    //$(".mains .nwrap .nmain_pcs,.mains .nmain").height($(window).height() - $(".nheader,.nheader_set").height() - footer_show - 40).css({ 'overflow-y': 'auto', 'overflow-x': 'hidden' });
    //$(".nshow .ns_wrap ").height($(window).height() - $(".ns_header").height() - 35);
    //$(".nshow .pns_wrap ").height($(window).height() - $(".ns_header").height() - 70);
    //$(".np_prop").height($(window).height());
    //$(".np_aside,.np_main").height($(".ns_wrap").height());
    //$(".nshow").height($("body").height());
}

//下拉切换刷新表格
function pcform(e, id) {
    var flag = 1;
    if ($(e).hasClass("sel")) {
        $(e).parents("div.dropdown").find("a.dropdown-toggle em").text($(e).text());
        $(e).parents("div.dropdown").find("input[type=hidden]").attr("pvalues", $(e).text());
        $(e).parents("div.dropdown").find("input[type=hidden]").val($(e).attr("pvalue"));
    }
    if ($(e).hasClass("sear")) {
        var v = $(e).parent().find("input.nmt_inp").val();
        if (!v) {
            flag = 0;
            layer.alert('请填写内容', {
                skin: 'nprs2',
                title: false,
                shade: 0,
                shift: 3,
                btn: false,
                time: 3000
            });
        } else {
            flag = 1;
        }
    }
    if (flag == 1) {
        //提交表单
        layer.load(2);
        $("#" + id).submit();
    }
}
//function pcsel(e){
//    var flag = 1;
//    if($(e).hasClass("sel")){
//        $(e).parents("div.dropdown").find("a.dropdown-toggle em").text($(e).text());
//        $(e).parents("div.dropdown").find("input[type=hidden]").val($(e).text());
//    }else if ($(e).hasClass("sear")){
//        var v = $(e).parent().find("input.nmt_inp").val();
//        if (!v){
//            flag = 0;
//            layer.alert('请填写内容', {
//                skin: 'nprs2',
//                title: false,
//                shade: 0,
//                shift: 3,
//                btn: false,
//                time: 0
//            });
//        }else {
//            flag = 1;
//        }
//        $(e).parents("form").attr("flag",flag);
//    }
//}
//
//function pcform(e){
//    var flag = $(e).attr("flag");
//    console.log(flag);
//    if (flag == 1){
//        //提交表单
//        layer.load();
//        $("#" + e).submit();
//    }
//}

var saveTs = '';
//CRC左侧切换提示保存
function liInfoSave() {
    var liInfoSave = 0;
    if ($(".pcs_al li.pcs_al_sty").length > 0 && $(".p_nback").attr('pflagTwo') != '1') {
        if (saveTs.localeCompare(JSON.stringify(inputctr.public.formsubmit($(".np_main .visit-info"), ''))) != 0) {
            liInfoSave = 1;
        }
    } else if ($(".pcs_al li.active").length > 0 && $(".p_nback").attr('pflagTwo') != '1') {
        if ($('.as-tit li:visible').length > 0) {
            if (saveTs.localeCompare(JSON.stringify(inputctr.public.formsubmit($(".visit-info:visible"), ''))) != 0 && $('.as-tit li:visible:first.active').length > 0) {
                liInfoSave = 1;
            }
        } else {
            if (saveTs.localeCompare(JSON.stringify(inputctr.public.formsubmit($(".visit-info:visible"), ''))) != 0) {
                liInfoSave = 1;
            }
        }
    }
    return liInfoSave;
}

var getServerDate;

function liInfo(e, url) {
    $('.nshow .nnav li[colFlag="' + $(e).attr("colStatus") + '"]').find("a").addClass("nnavsel").end().siblings().find("a").removeClass("nnavsel");
    $('.nshow .nnav li[colFlag="' + $(e).attr("colStatus") + '"]').find("span").addClass("badgeSty").end().siblings().find("span").removeClass("badgeSty");
    url = url + "&columnStatus=" + $(e).attr("colStatus") + timeadd();
    $(e).attr("IsCurrent", 0);

    $(".np_main").empty();
    $(e).addClass("pcs_al_sty").siblings().removeClass("pcs_al_sty");
    layer.load(2);
    var ajaxTimeoutTest = $.ajax({
        url: url,  //请求的URL
        timeout: 30000, //超时时间设置，单位毫秒
        type: 'get',  //请求方式，get或post
        data: {},  //请求所传参数，json格式
        dataType: 'html',//返回的数据格式
        success: function (result) { //请求成功的回调函数
            //layer.closeAll();
            if (result) {
                $(".np_main").append(result);
                getNumber();
            }
        },
        error: function () {
            layer.closeAll();
            layer.alert('请求失败!', {
                skin: 'nprs2',
                title: false,
                shade: 0,
                shift: 3,
                btn: false,
                time: 3000
            });
        },
        complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
            if (status == 'timeout') {//超时,status还有success,error等值的情况
                ajaxTimeoutTest.abort();
                layer.closeAll();
                layer.alert('网络不通畅,请重试!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            }
        }
    });
    //$.get(url).success(function (result) {
    //    layer.closeAll();
    //    if (result) {
    //        $(".np_main").append(result);
    //    }
    //});
}

function ptrSkip(e, event, url) {
    var event = event || window.event || arguments.callee.caller.arguments[0];
    event.stopPropagation();
    $(".pcs_tr").removeClass("pcs_tr_sty");
    $(".pcs_table tr").removeClass("pcs_tr_sty");
    //$(e).siblings().removeClass("pcs_tr_sty");
    $(e).addClass("pcs_tr_sty");
    $(".np_prop").empty();
    url += timeadd();
    if (parseInt($(".np_prop").css("right")) < 0) {
        $(".np_prop").stop(true).animate({ right: "0px" });
        layer.load(2);
        var ajaxTimeoutTest = $.ajax({
            url: url,  //请求的URL
            timeout: 30000, //超时时间设置，单位毫秒
            type: 'get',  //请求方式，get或post
            data: {},  //请求所传参数，json格式
            dataType: 'html',//返回的数据格式
            success: function (result) { //请求成功的回调函数
                if ($('.nshow .nnav li:first').find('span').text()) {
                    layer.closeAll();
                }
                if (result) {
                    $(".np_prop").append(result);
                    //if ($(".visit-info table").length > 0) {
                    //    $(".np_prop").width(800);
                    //}
                    $("button.ppr_btn_sty").trigger("click");
                }
            },
            error: function () {
                layer.closeAll();
                layer.alert('请求失败!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            },
            complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
                if (status == 'timeout') {//超时,status还有success,error等值的情况
                    ajaxTimeoutTest.abort();
                    layer.closeAll();
                    layer.alert('网络不通畅,请重试!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                }
            }
        });
        //$.get(url).success(function (result) {
        //    layer.closeAll();
        //    $(".np_prop").append(result);
        //    $("button.ppr_btn_sty").trigger("click");
        //}).error(function () {
        //    layer.closeAll();
        //    layer.alert('网络不通畅', {
        //        skin: 'nprs2',
        //        title: false,
        //        shade: 0,
        //        shift: 3,
        //        btn: false,
        //        time: 0
        //    });
        //});
    } else {
        layer.load(2);
        var ajaxTimeoutTest = $.ajax({
            url: url,  //请求的URL
            timeout: 30000, //超时时间设置，单位毫秒
            type: 'get',  //请求方式，get或post
            data: {},  //请求所传参数，json格式
            dataType: 'html',//返回的数据格式
            success: function (result) { //请求成功的回调函数
                layer.closeAll();
                if (result) {
                    $(".np_prop").append(result);
                    $("button.ppr_btn_sty").trigger("click");
                }
            },
            error: function () {
                layer.closeAll();
                layer.alert('请求失败!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            },
            complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
                if (status == 'timeout') {//超时,status还有success,error等值的情况
                    ajaxTimeoutTest.abort();
                    layer.closeAll();
                    layer.alert('网络不通畅,请重试!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                }
            }
        });
        //$.get(url).success(function (result) {
        //    layer.closeAll();
        //    $(".np_prop").append(result);
        //    $("button.ppr_btn_sty").trigger("click");
        //}).error(function () {
        //    layer.closeAll();
        //    layer.alert('网络不通畅', {
        //        skin: 'nprs2',
        //        title: false,
        //        shade: 0,
        //        shift: 3,
        //        btn: false,
        //        time: 0
        //    });
        //})
    }
}

function listSkip(e) {
    $(e).addClass("ppr_btn_sty").siblings().removeClass("ppr_btn_sty");
    if ($(e).val() == 1) {
        $(".ppr_ctr1,.ppr_ctr2").hide();
    } else if ($(e).val() == 2) {
        $(".ppr_ctr1,.ppr_ctr2").show();
    } else if ($(e).val() == 3) {
        $(".ppr_ctr1").hide();
        $(".ppr_ctr2").show();
    }
}


function pmain() {
    //动态DOM添加
    inputctr.checkadd();
    //时间控件初始
    inputctr.timeinit($(".time-picker"));
    //日期控件初始带年龄
    inputctr.age($(".birthday-picker"));
    //日期控件初始
    inputctr.dateinit($(".date-picker"));
    //my97时间日期初始
    inputctr.datetime($(".dt-picker"));
    //科学计数法验证
    inputctr.kxcount($(".kxcount"));
    //乘法输入验证
    inputctr.count($(".count"));
    //关联填充
    inputctr.allocation($(".complete"));
    //文本框(除乘法科学计算)验证
    inputctr.textbox($(".textbox"));
    //选择输入值
    //inputctr.pcr($(".pcr"));
    //下拉框初始化
    inputctr.sel($(".psel"));
    //单多选框初始
    inputctr.crcs($(".pcheckbox,.pradio,.pbradio,.pbcheckbox,.poradios,.pocheckboxs"));
    //药品联动
    inputctr.drug($(".drugpicker,.threeLevelLinkage"));
    $("[data-toggle='tooltip']").tooltip();
}

//搜索
function psearch(e) {
    var u = "test.json";
    var v = $(e).parent().find("input.nmt_inp").val();
    if (!v) {
        layer.alert('请填写内容', {
            skin: 'nprs2',
            title: false,
            shade: 0,
            shift: 3,
            btn: false,
            time: 3000
        });
    } else {
        layer.load(2);
        $.post(u, v, function (data) {
            layer.closeAll();
            if (data == 1) {
                //成功跳转



            } else {
                //失败提示
                layer.alert('加载失败', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            }
        })
    }
}

$(document).click(function (event) {
    var event = event || window.event;
    var obj = $(event.target).parent();
    var tar = $(event.target).attr("class");
    if (tar != "nmt_input") {
        $(".nmt_d").removeClass("sTy1");
        $(".nmt_input").blur();
    }
    //debugger
    if (
        !$(".np_prop").is(event.target)
        && !obj.is('tr,td')
        && !obj.is('.layui-layer-setwin,.layui-layer-imguide')
        && !$(event.target).is('.layui-layer-shade')
        && $(event.target).parents('.layui-layer:first').length == 0
    ) {
        $(".np_prop").width(600);
        $(".np_prop").animate({ right: "-610px" });
        $(".pcs_tr").removeClass("pcs_tr_sty");
        $(".pcs_table tr").removeClass("pcs_tr_sty");
    }
});

//搜索
function _search(ev, id) {
    var ev = window.event || event;
    var isTrue = $(".nmt_d").is(".sTy1");
    ev.stopPropagation();
    if ($(".nmt_input").val() == "") {
        $(".nmt_d").addClass("sTy1");
        if (isTrue) {
            $(".nmt_input").blur();
            // $(".nmt_d").removeClass("sTy1");
            layer.load(2);
            $("#" + id).submit();
        } else {
            $(".nmt_input").focus();
            $(".nmt_d").addClass("sTy1");
        }
    } else {
        $(".nmt_d").addClass("sTy1");
        $(".nmt_input").focus();
        if (isTrue) {
            layer.load(2);
            $("#" + id).submit();
        }
    }
}

function navSport(e, url) {
    if ($("#xpopup").css("display") == "none") {
        layer.load(2);
        $.get(url, function (result) {
            layer.closeAll();
            $("#xpopup").append(result);
            $("#xpopup").show();
            $(".xmain").animate({ left: "0" });
            $(e).addClass("nfunc_s");
            $(".xpopup_zz").click(function () {
                if ($("#xpopup").css("display") == "block") {
                    $(".xmain").animate({ left: "-680px" });
                    $("#xpopup").hide();
                    $(e).removeClass("nfunc_s");
                }
            });
        });
    } else if ($("#xpopup").css("display") == "block") {
        $(".xmain").animate({ left: "-680px" });
        $("#xpopup").hide();
        $(e).removeClass("nfunc_s");
    }
}

function navGo(e, url) {
    layer.load(2);
    $.post(url,
        {
            projectId: $(e).attr("projectId"),
            roleId: $(e).attr("roleId"),
            rolename: $(e).attr("rolename")
        }, function (result) {
            layer.closeAll();
            if
                (result.result == 1) {
                window.location.href = result.url;
            }
        })
}

function getNumber() {
    var url = $("li.pcs_al_sty").attr("onclick").split("'")[1].replace(/CRAModuleData|ModuleData/g, 'GetTabNumber').split('&moduleName')[0];
    if ($(".nshow a[class='nnavsel']").parent().attr("colflag")) {
        url += '&columnstatus=' + $(".nshow a[class='nnavsel']").parent().attr("colflag") + timeadd();
        layer.load(2);
        var ajaxTimeoutTest = $.ajax({
            url: url,  //请求的URL
            timeout: 30000, //超时时间设置，单位毫秒
            type: 'get',  //请求方式，get或post
            data: {},  //请求所传参数，json格式
            success: function (result) { //请求成功的回调函数
                layer.closeAll('loading');
                //cra auditor界面录入资料触发点击
                if ($('.as-npbox .as-tit li:first').length > 0) {
                    $('.as-npbox .as-tit li:first').trigger('click');
                }
                if (result) {
                    if (result.data != '') {
                        var datas = result.data;
                        var result = result;
                        $.each(datas, function (i) {
                            $('.nshow .nnav li[colflag=' + this.TabName + ']').find('span').text(this.ColumnsCount);
                        });
                        if ($(".np_main span.pcs_msp").length != 0) {
                            $(".np_main span.pcs_msp").removeClass().addClass(result.moduleStatusIcon + ' pcs_msp').text(result.moduleStatusStr);
                        };
                        if ($("li.pcs_al_sty").length != 0) {
                            $("li.pcs_al_sty").removeClass().addClass(result.moduleStatusIcon + ' pcs_al_sty')
                            $("li.pcs_al_sty").attr('colStatus', result.colStatus);
                        };
                        if ($(".nhp_tit span.pcs_msp").length != 0) {
                            $(".nhp_tit span.pcs_msp").removeClass().addClass(result.visitStatusIconInDetail + ' pcs_msp').text(result.visitStatusStr);
                        };
                        if ($(".namin_td li.ntb_skip").length != 0) {
                            $(".namin_td li.ntb_skip").removeClass().addClass(result.visitStatusIconInList + ' ntb_skip');
                            $(".namin_td li.ntb_skip").removeClass($(".namin_td li.ntb_skip").attr("class").split(" ")[0]).addClass(result.visitStatusIconInList);
                        };
                        if ($(".pcs_table tr.pcs_tr_sty .pcs_tdc span").length != 0) {
                            $(".pcs_table tr.pcs_tr_sty .pcs_tdc span").removeClass().addClass(result.columnStatusIcon + ' ntb_skip').text(result.columnStatusStr);
                        };
                    }
                }
            },
            error: function () {
                layer.closeAll();
                layer.alert('请求失败!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            },
            complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
                if (status == 'timeout') {//超时,status还有success,error等值的情况
                    ajaxTimeoutTest.abort();
                    layer.closeAll();
                    layer.alert('网络不通畅,请重试!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                }
            }
        });
    }
}

function pListSumbitTwo(e, url) {
    var id = $("#operateForm input[name='id']").val() ? $("#operateForm input[name='id']").val() : '';
    var dataId = $("#operateForm input[name='dataId']").val() ? $("#operateForm input[name='dataId']").val() : '';
    var mongoId = $("#operateForm input[name='mongoId']").val() ? $("#operateForm input[name='mongoId']").val() : '';
    var patientId = $("#operateForm input[name='patientId']").val() ? $("#operateForm input[name='patientId']").val() : '';
    var visitId = $("#operateForm input[name='visitId']").val() ? $("#operateForm input[name='visitId']").val() : '';
    var moduleId = $("#operateForm input[name='moduleId']").val() ? $("#operateForm input[name='moduleId']").val() : '';
    var columnId = $("#operateForm input[name='columnId']").val() ? $("#operateForm input[name='columnId']").val() : '';
    var rowId = ($("#operateForm input[name='rowId']").val() ? $("#operateForm input[name='rowId']").val() : '');
    var changeType = ($("#operateForm input[name='changeType']").val() ? $("#operateForm input[name='changeType']").val() : '');
    var oldValue = $("#operateForm input[name='oldValue']").val();
    //做没做修改的参数
    var IsRefuse = $("#operateForm input[name='IsRefuse']").attr('IsRefuse') == '1' ? true : false;
    var flag = inputctr.public.psubmit('.visit-info', 1).flag;
    var description = $('#operateForm textarea[name="description"]').val();
    if (flag == 1) {
        var ChangeDataJson = JSON.stringify(inputctr.public.formsubmit('.visit-info', patientId, mongoId));
        layer.load(2);
        var ajaxTimeoutTest = $.ajax({
            url: url,  //请求的URL
            timeout: 30000, //超时时间设置，单位毫秒
            type: 'POST',  //请求方式，get或post
            data: {
                id: id,
                dataId: dataId,
                mongoId: mongoId,
                patientId: patientId,
                visitId: visitId,
                moduleId: moduleId,
                columnId: columnId,
                rowId: rowId,
                changeType: changeType,
                description: description,
                oldValue: oldValue,
                IsRefuse: IsRefuse,
                ChangeDataJson: ChangeDataJson
            },  //请求所传参数，json格式
            success: function (result) { //请求成功的回调函数
                layer.closeAll();
                if (result.result == 1) {
                    wcol(result, changeType)
                    layer.alert(result.msg, {
                        skin: 'nprs1',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                    getNumber();

                } else {
                    layer.alert(result.msg, {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                }
            },
            error: function () {
                layer.closeAll();
                layer.alert('请求失败!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            },
            complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
                if (status == 'timeout') {//超时,status还有success,error等值的情况
                    ajaxTimeoutTest.abort();
                    layer.closeAll();
                    layer.alert('网络不通畅,请重试!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                }
            }
        });
    }
}

function pListSumbit(e) {
    var bv = $('button.ppr_btn_sty');
    if (bv.length == 0) {
        infoBox('请选择操作类型', 'nprs2');
    } else {
        if (bv.val() == 1) {
            layer.closeAll();
            var baseKv = inputEach();
            var val = $("#operateForm input[name='id']").val();
            //baseKv.id = bv.text();
            baseKv += '"OperationType":"' + bv.val() + '","id":"' + val + '"}'
            //baseKv = JSON.parse(baseKv.substring(0, baseKv.length - 1) + "}")
            baseKv = JSON.parse(baseKv);
            layer.load(2);
            $.post(bv.attr('submiturl'), baseKv, function (data) {
                if (data.result == 1) {
                    var color = 'nprs1'
                    infoBox(data.msg, color);
                    wcol(data);
                    getNumber();
                } else {
                    var color = 'nprs2'
                    infoBox(data.msg, color);
                }
            });
        } else if (bv.val() == 2) {
            var baseKv = inputEach();
            if (!$(".ppr_ctr1 select").val()) {
                infoBox('请选择类别', 'nprs2');
            } else if (!$(".ppr_ctr2 textarea").val()) {
                infoBox('请填写理由', 'nprs2');
            } else {
                layer.closeAll();
                baseKv += '"' + $(".ppr_ctr1 select").attr("name") + '":"' + $(".ppr_ctr1 select").val() + '",' + '"' + $(".ppr_ctr2 textarea").attr("name") + '":"' + $(".ppr_ctr2 textarea").val() + '",' + '"OperationType":"' + bv.val() + '"}'
                baseKv = JSON.parse(baseKv);
                //console.log(baseKv);
                layer.load(2);
                $.post(bv.attr('submiturl'), baseKv, function (data) {
                    layer.closeAll();
                    //console.log(data);
                    if (data.result == 1) {
                        var color = 'nprs1'
                        infoBox(data.msg, color);
                        wcol(data);
                        getNumber();
                    } else {
                        var color = 'nprs2'
                        infoBox(data.msg, color);
                    }
                });
            }
        } else if (bv.val() == 3) {
            var baseKv = inputEach();
            if (!$(".ppr_ctr2 textarea").val()) {
                infoBox('请填写理由', 'nprs2');
            } else {
                layer.closeAll();
                var val = $("#operateForm input[name='id']").val();
                baseKv += '"' + $(".ppr_ctr2 textarea").attr("name") + '":"' + $(".ppr_ctr2 textarea").val() + '",' + '"OperationType":"' + bv.val() + '",' + '"id":"' + val + '"}';
                baseKv = JSON.parse(baseKv);
                layer.load(2);
                $.post(bv.attr('submiturl'), baseKv, function (data) {
                    layer.closeAll();
                    if (data.result == 1) {
                        var color = 'nprs1'
                        infoBox(data.msg, color);
                        wcol(data)
                        getNumber();
                    } else {
                        var color = 'nprs2'
                        infoBox(data.msg, color);
                    }
                });
            }
        }
    }
}

function infoBox(data, skin) {
    layer.closeAll();
    layer.alert(data, {
        skin: skin,
        title: false,
        shade: 0,
        shift: 3,
        btn: false,
        time: 3000
    });
    $(".layui-layer").appendTo($(".np_prop"));
}

function GetUrlRelativePath() {
    var url = document.location.toString();
    var arrUrl = url.split("//");

    var start = arrUrl[1].indexOf("/");
    var relUrl = arrUrl[1].substring(start);//stop省略，截取从start开始到结尾的所有字符

    if (relUrl.indexOf("?") != -1) {
        relUrl = relUrl.split("?")[0];
    }
    return relUrl;
}

function GetQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return decodeURI(r[2]);
    return null;
}

function wcol(result, pd) {
    $(".np_prop").width(600);
    $(".np_prop").animate({ right: "-610px" });
    if (pd == "2") {
        $('li.pcs_al_sty').trigger('click')
    } else {
        //if ($('.nshow .nnav a.nnavsel').parent().attr('colflag') == '全部') {
        //    $('li.pcs_al_sty').trigger('click');
        //} else {
        //    $("div.pcs_tr_sty").remove();
        //}
        $("div.pcs_tr_sty").remove();
        if ($("tr.pcs_tr_sty").length > 0) {
            if ($("tr.pcs_tr_sty").siblings().length == 0) {
                $("tr.pcs_tr_sty").parents(".pcs_tr").remove();
            } else {
                $("tr.pcs_tr_sty").remove();
            }
        }
    }
    //$(".np_main span.pcs_msp").removeClass($(".np_main span.pcs_msp").attr("class").split(" ")[1]).addClass(result.moduleStatusIcon).text(result.moduleStatusStr);
    //$("li.pcs_al_sty").removeClass($("li.pcs_al_sty").attr("class").split(" ")[0]).addClass(result.moduleStatusIcon);
    //$(".nhp_tit span.pcs_msp").removeClass($(".nhp_tit span.pcs_msp").attr("class").split(" ")[1]).addClass(result.visitStatusIconInDetail).text(result.visitStatusStr);
    //$(".namin_td li.ntb_skip").removeClass($(".namin_td li.ntb_skip").attr("class").split(" ")[0]).addClass(result.visitStatusIconInList);
    if ($(".np_main span.pcs_msp").length != 0) {
        $(".np_main span.pcs_msp").removeClass().addClass(result.moduleStatusIcon + ' pcs_msp').text(result.moduleStatusStr);
        //$(".np_main span.pcs_msp").removeClass($(".np_masin span.pcs_msp").attr("class").split(" ")[1]).addClass(result.moduleStatusIcon).text(result.moduleStatusStr);
    };
    if ($("li.pcs_al_sty").length != 0) {
        $("li.pcs_al_sty").removeClass().addClass(result.moduleStatusIcon + ' pcs_al_sty')
        $("li.pcs_al_sty").attr('colStatus', result.colStatus);
        //$("li.pcs_al_sty").removeClass($("li.pcs_al_sty").attr("class").split(" ")[0]).addClass(result.moduleStatusIcon);
    };
    if ($(".nhp_tit span.pcs_msp").length != 0) {
        $(".nhp_tit span.pcs_msp").removeClass().addClass(result.visitStatusIconInDetail + ' pcs_msp').text(result.visitStatusStr);
        //$(".nhp_tit span.pcs_msp").removeClass($(".nhp_tit span.pcs_msp").attr("class").split(" ")[1]).addClass(result.visitStatusIconInDetail).text(result.visitStatusStr);
    };
    if ($(".namin_td li.ntb_skip").length != 0) {
        $(".namin_td li.ntb_skip").removeClass().addClass(result.visitStatusIconInList + ' ntb_skip');
        $(".namin_td li.ntb_skip").removeClass($(".namin_td li.ntb_skip").attr("class").split(" ")[0]).addClass(result.visitStatusIconInList);
    };
    if ($(".pcs_table tr.pcs_tr_sty .pcs_tdc span").length != 0) {
        $(".pcs_table tr.pcs_tr_sty .pcs_tdc span").removeClass().addClass(result.columnStatusIcon + ' ntb_skip').text(result.columnStatusStr);
    };
    var burl = GetUrlRelativePath();
    if (burl && burl.indexOf("Question") > 0) {
        if (parseInt(GetQueryString("pageindex")) > 1) {
            var skipUrl = window.location.href.substring(0, window.location.href.length - 1);
            window.location.href = skipUrl + (parseInt(GetQueryString("pageindex")) - 1).toString();
        } else {
            window.location.reload();
        }
    }
}

function inputEach() {
    var jsonStr = '{';
    $("#operateForm input[type='hidden']").each(function (i) {
        if ($(this).attr("name") == "id") {

        } else if ($(this).attr("name") == "rowId") {
            if (!$(this).attr("value")) {

            } else {
                jsonStr += '"' + $(this).attr("name") + '":"' + $(this).attr("value") + '",'
            }
        } else {
            jsonStr += '"' + $(this).attr("name") + '":"' + $(this).attr("value") + '",'
        }
    });
    //jsonStr = JSON.parse(jsonStr.substring(0, jsonStr.length - 1) + "}")
    return jsonStr;
}


function shrink(e) {
    if ($(e).hasClass("ppr_title3_sty")) {
        $(e).removeClass("ppr_title3_sty");
    } else {
        $(e).addClass("ppr_title3_sty");
    }
    $(e).parent().next(".ppr_main").slideToggle();
}

function headerSkip(e) {
    $(".np_prop").width(600);
    $(".np_prop").css({ right: "-610px" });
    $(e).find("a").addClass("nnavsel").end().siblings().find("a").removeClass("nnavsel");
    $(e).find("span").addClass("badgeSty").end().siblings().find("span").removeClass("badgeSty");
    var url = $("li.pcs_al_sty").attr("onclick").split("'")[1];
    //var urls = $("li.pcs_al_sty").attr("onclick").split(",")[1];
    //urls = urls.substring(0, urls.length - 1);
    //urls = urls.substring(1, url.length);
    url += '&columnstatus=' + $(e).attr("columnstatus") + timeadd();
    if ($(e).attr("targetcolumnid") || $(e).attr("targetrowid")) {
        url += '&targetcolumnid=' + $(e).attr("targetcolumnid") + '&targetrowid=' + $(e).attr("targetrowid");
        $(e).removeAttr("targetcolumnid targetrowid");
    }
    //console.log(url);
    $(".np_main").empty();
    layer.load(2);
    var ajaxTimeoutTest = $.ajax({
        url: url,  //请求的URL
        timeout: 30000, //超时时间设置，单位毫秒
        type: 'get',  //请求方式，get或post
        data: {},  //请求所传参数，json格式
        dataType: 'html',//返回的数据格式
        success: function (result) { //请求成功的回调函数
            if (result) {
                $(".np_main").append(result);
                getNumber();
            }
        },
        error: function () {
            layer.closeAll();
            layer.alert('请求失败!', {
                skin: 'nprs2',
                title: false,
                shade: 0,
                shift: 3,
                btn: false,
                time: 3000
            });
        },
        complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
            if (status == 'timeout') {//超时,status还有success,error等值的情况
                ajaxTimeoutTest.abort();
                layer.closeAll();
                layer.alert('网络不通畅,请重试!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            }
        }
    });
    //$.get(url).success(function (result) {
    //    layer.closeAll();
    //    if (result) {
    //        $(".np_main").append(result);
    //    }
    //});
}

function locking(e, ev, url) {
    var ev = ev || window.event;
    ev.stopPropagation();
    //layer.load(2);
    //$.get(url).success(function (data) {
    //    layer.closeAll();
    //    if (data.result == 1) {
    //        if ($(e).hasClass("nm_off") || $(e).hasClass("nm_on") || $(e).hasClass("ntb_sj2") || $(e).hasClass("ntb_sj")) {
    //            $(e).removeClass("ntb_sj ntb_sj2 nm_on nm_off").addClass(data.icon);
    //        }   
    //    }  
    //});
}


//标记未提交
function skipBack(e, url) {
    var a1 = layer.confirm('确定标记未提交？', {
        title: '温馨提示',
        btn: ['确认', '取消'] //按钮
    }, function () {
        layer.load(2);
        $.post(url, {}, function (data) {
            layer.closeAll();
            if (data.result == 0) {
                infoBox(data.msg, "nprs2");
            } else {
                infoBox(data.msg, "nprs1");
                if ($(".namin_td li.ntb_skip").length != 0) {
                    $(".namin_td li.ntb_skip").removeClass().addClass(data.visitStatusIconInList + ' ntb_skip');
                    $(".namin_td li.ntb_skip").removeClass($(".namin_td li.ntb_skip").attr("class").split(" ")[0]).addClass(data.visitStatusIconInList);
                };
                setTimeout(function () {
                    nback();
                }, 1500)
            }
        })
    });
}

//一键通过
function keyBy(e, url) {
    var patientid = $(e).attr('patientid');
    var dataid = $(e).attr('dataid');
    var moduleid = $('.pcs_al_sty').attr('moduleid');
    var a1 = layer.confirm('确定全部通过？', {
        title: '温馨提示',
        btn: ['确认', '取消'] //按钮
    }, function () {
        layer.alert('数据通过中,请耐心等待!', {
            skin: 'nprs1',
            title: false,
            shift: 3,
            btn: false,
            closeBtn: 0,
            time: 0
        });
        $.post(url, {
            patientid: patientid,
            dataid: dataid,
            moduleid: moduleid
        }, function (data) {
            layer.closeAll();
            if (data.result == 1) {
                infoBox(data.msg, "nprs1");
                wocl2(data);
                //window.location.reload();
            } else {
                infoBox(data.msg, "nprs2");
            }
        })
    });
}

//一键通过后操作
function wocl2(result) {
    $('.p_nback').attr('pflag', '1');
    if ($(".np_main span.pcs_msp").length != 0) {
        $(".np_main span.pcs_msp").removeClass().addClass(result.moduleStatusIcon + ' pcs_msp').text(result.moduleStatusStr);
    };
    if ($("li.pcs_al_sty").length != 0) {
        $("li.pcs_al_sty").removeClass().addClass(result.moduleStatusIcon + ' pcs_al_sty')
        $("li.pcs_al_sty").attr('colStatus', result.colStatus);
    };
    if ($(".nhp_tit span.pcs_msp").length != 0) {
        $(".nhp_tit span.pcs_msp").removeClass().addClass(result.visitStatusIconInDetail + ' pcs_msp').text(result.visitStatusStr);
    };
    if ($(".namin_td li.ntb_skip").length != 0) {
        $(".namin_td li.ntb_skip").removeClass().addClass(result.visitStatusIconInList + ' ntb_skip');
        $(".namin_td li.ntb_skip").removeClass($(".namin_td li.ntb_skip").attr("class").split(" ")[0]).addClass(result.visitStatusIconInList);
    };
    if ($(".pcs_table tr.pcs_tr_sty .pcs_tdc span").length != 0) {
        $(".pcs_table tr.pcs_tr_sty .pcs_tdc span").removeClass().addClass(result.columnStatusIcon + ' ntb_skip').text(result.columnStatusStr);
    };
    $("li.pcs_al_sty").trigger('click');
}


function infoGo(url, e) {
    $(e).prev().trigger('click');
    if (passFlag == 1) {
        inputctr.public.psubmit('.visit-info', 1);
        layer.load(2);
        var ajaxTimeoutTest = $.ajax({
            url: url,  //请求的URL
            timeout: 30000, //超时时间设置，单位毫秒
            type: 'POST',  //请求方式，get或post
            data: {
                dataId: $(e).attr("dataId"),
            },  //请求所传参数，json格式
            success: function (result) { //请求成功的回调函数
                layer.closeAll();
                if (result.result == 1) {
                    layer.alert('提交成功!', {
                        skin: 'nprs1',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                    window.location.reload();
                } else {
                    layer.alert(result.msg, {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                }
            },
            error: function () {
                layer.closeAll();
                layer.alert('请求失败!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            },
            complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
                if (status == 'timeout') {//超时,status还有success,error等值的情况
                    ajaxTimeoutTest.abort();
                    layer.closeAll();
                    layer.alert('网络不通畅,请重试!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                }
            }
        });
    }
}

function runScroll() {
    var scrollY = $('.nshow .np_main').scrollTop();// 获取垂直滚动的距离，即滚动了多少
    var high = $('.nshow .np_main').height();  //可见高度
    var allHigh = $('.nshow .np_main')[0].scrollHeight;  //总高度
    //if ( (scrollY + high) >= (allHigh - 100) ) { //如果没滚动到顶部，删除显示类，否则添加显示类
    //    $('#fixBtn').removeClass('fixBtn').addClass('fixBtnSty');
    //}
    if (scrollY <= 30) {
        $('.nshow .np_main .nwrap').css("marginBottom", '0');
        $('#fixBtn').show();
        $('#fixBtn').removeClass('fixBtnSty').addClass('fixBtn');
    } else if ((scrollY + high) < (allHigh - 90)) {
        $('.nshow .np_main .nwrap').css("marginBottom", '50px');
        $('#fixBtn').hide();
    } else {
        $('#fixBtn').show();
        $('#fixBtn').removeClass('fixBtn').addClass('fixBtnSty');
    }
}

//$('.nshow .np_main').scroll(function () {
//    console.log(1);
//    var scrollY = $('.nshow .np_main').scrollTop();// 获取垂直滚动的距离，即滚动了多少

//    if (scrollY >= 1) { //如果没滚动到顶部，删除显示类，否则添加显示类
//        $('#fixBtn').removeClass('fixBtn').addClass('fixBtnSty');
//    }
//    else {
//        $('#fixBtn').removeClass('fixBtnSty').addClass('fixBtn');
//    }

//});

var passFlag = 1;
function infoSubmit(url, e, n) {
    passFlag = 1;
    //n参数0表示是否需要必填验证，0表示不需要
    //dataId, mongodb_Id, patientId, visitId, moduleId
    //var judge = inputctr.public.psubmit('.visit-info', 0);
    //if (judge.writeVal == 0) {
    //    layer.alert("请至少填写一项", {
    //        skin: 'nprs2',
    //        title: false,
    //        shade: 0,
    //        shift: 3,
    //        btn: false,
    //        time: 3000
    //    });
    //    passFlag = 0;
    //} 

    var judge = inputctr.public.psubmit('.visit-info', n);
    //新晨特殊要求(只有保存可以修改)加了judge.flag == 1 跳过这个验证
    //if (judge.writeVal == 0 && judge.flag == 1) {
    if (judge.writeVal == 0) {
        layer.alert("请至少填写一项", {
            skin: 'nprs2',
            title: false,
            shade: 0,
            shift: 3,
            btn: false,
            time: 3000
        });
        passFlag = 0;
    } else if (judge.flag == 1) {
        layer.load(2);
        /*
        参数
        dataId=主数据ID，
        mongoId=mongodb_Id，
        patientId=受访者ID，
        visitId=访视ID，
        moduleId=模块ID，
        dataJson=模块数据JSON字符串
        */
        $.post(url, $(".visit-info").serialize(), function (result) {
            layer.closeAll();
            if (result.result == 1) {
                layer.alert('保存成功!', {
                    skin: 'nprs1',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            } else {
                layer.alert(result.msg, {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
                passFlag = 0;
            }
        });
    }
    return passFlag;
}

//crc删除访视操作
function delFs(e, url) {
    var dataId = $(e).attr('dataId');
    if (dataId) {
        var a2 = layer.confirm('确认删除？', {
            title: '温馨提示',
            btn: ['确认', '取消'] //按钮
        }, function () {
            layer.load(2);
            var ajaxTimeoutTest = $.ajax({
                url: url,  //请求的URL
                timeout: 30000, //超时时间设置，单位毫秒
                type: 'post',  //请求方式，get或post
                data: {
                    id: dataId
                },  //请求所传参数，json格式
                success: function (result) { //请求成功的回调函数
                    layer.close(a2);
                    location.reload(true);
                },
                error: function () {
                    layer.closeAll();
                    layer.alert('请求失败!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                },
                complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
                    if (status == 'timeout') {//超时,status还有success,error等值的情况
                        ajaxTimeoutTest.abort();
                        layer.closeAll();
                        layer.alert('网络不通畅,请重试!', {
                            skin: 'nprs2',
                            title: false,
                            shade: 0,
                            shift: 3,
                            btn: false,
                            time: 3000
                        });
                    }
                }
            });
        });
    } else {
        layer.alert('数据未保存!', {
            skin: 'nprs2',
            title: false,
            shade: 0,
            shift: 3,
            btn: false,
            time: 3000
        });
    }
}

//crc失访操作
function setSF(e, url) {
    var patientId = $(e).attr('patientId');
    var visitId = $(e).attr('visitId');
    var a1 = layer.confirm('确定失访？', {
        title: '温馨提示',
        btn: ['确认', '取消'] //按钮
    }, function () {
        layer.load(2);
        var ajaxTimeoutTest = $.ajax({
            url: url,  //请求的URL
            timeout: 30000, //超时时间设置，单位毫秒
            type: 'post',  //请求方式，get或post
            data: {
                patientId: patientId,
                visitId: visitId
            },  //请求所传参数，json格式
            success: function (result) { //请求成功的回调函数
                layer.close(a1);
                location.reload(true);
            },
            error: function () {
                layer.closeAll();
                layer.alert('请求失败!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
            },
            complete: function (XMLHttpRequest, status) { //请求完成后最终执行参数
                if (status == 'timeout') {//超时,status还有success,error等值的情况
                    ajaxTimeoutTest.abort();
                    layer.closeAll();
                    layer.alert('网络不通畅,请重试!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 3000
                    });
                }
            }
        });
    });
}

//回复质疑修改
function hfzy(e) {
    if ($(e).prop('checked')) {
        $(e).parents('.pre_tr').next('.visit-info').slideUp();
        $(e).attr('IsRefuse', '1');
    } else {
        $(e).parents('.pre_tr').next('.visit-info').slideDown();
        $(e).attr('IsRefuse', '0');
    }
}


function selectLink(e, target, url) {
    var value = $(e).find("option:selected").val();
    if (value != '') {
        $.get(url, { pid: value }, function (data) {
            if (data != null && $("#" + target) != null && $("#" + target) != undefined) {
                debugger;
                var option = "";
                for (var i = 0 ; i < data.length; i++) {
                    option += "<option value='" + data[i].Value + "'>" + data[i].Text + "</option>";
                }
                $("#" + target).html(option);
            }
        })
    }
}

function showProp(p, e) {
    p = event || window.event;
    p.stopPropagation();
    var layindex = layer.open({
        type: 1,
        skin: 'layer-prop',
        title: "转院",
        area: ["530px", '320px'], //宽高
        //shadeClose: true, //开启遮罩关闭		
        content: $('.pmain_prop').removeClass('hide'),
        btn: ['保存', '取消'],
        success: function () {
            $('.layer-prop').find('span[sname]').each(function () {
                $(this).text($(this).attr('sname') ? $(e).attr($(this).attr('sname')) : "");
            });
        },
        end: function () {

        },
        yes: function (index, layero) {
            if ($(layero).find('[sname="hosnamesel"]').val()) {
                if ($('option[value="' + $(layero).find('[sname="hosnamesel"]').val() + '"]').text() == $(layero).find('[sname="hosname"]').text()) {
                    layer.alert('转院中心选择有误!', {
                        skin: 'nprs2',
                        title: false,
                        shade: 0,
                        shift: 3,
                        btn: false,
                        time: 1500
                    });
                } else {
                    layer.alert('确认转院?', {
                        title: "转院",
                        yes: function (index, layero2) {
                            layer.load(2);
                            var url = $(e).attr('hosurl');
                            $.post(url, {
                                patientId: $(e).attr('patientId'),
                                hosId: $(layero).find('[sname="hosnamesel"]').val()
                            }, function (rs) {
                                if (rs.result == 1) {
                                    layer.closeAll();
                                    layer.alert('成功!', {
                                        skin: 'nprs1',
                                        title: false,
                                        shade: 0,
                                        shift: 3,
                                        btn: false,
                                        time: 1000,
                                        end: function () {
                                            location.reload();
                                        }
                                    });
                                } else {
                                    layer.alert('失败!', {
                                        skin: 'nprs2',
                                        title: false,
                                        shade: 0,
                                        shift: 3,
                                        btn: false,
                                        time: 1500
                                    });
                                    layer.closeAll('loading');
                                    layer.close(index);
                                }
                            })
                        }
                    });
                }
            } else {
                layer.alert('请填写转院中心!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 1500
                });
            }
        }
    });
}

/*医患表单验证*/
function yh_checkform(form){
    var flag=1;
    var _form=$(form);
    _form.find('input[required],select[required],textarea[required],.editor_in').each(function () {
        var oval=$(this).val();
        var info=$(this).attr('itext');
        var tips="请填写";
        if($(this).attr('itype')=='file'){
            tips="请上传";
        }
        if ($(this).get(0).tagName == 'SELECT') {
            tips = "请选择";
        }
        //验证单选复选框
        if($(this).attr('type')=='radio' || $(this).attr('type')=='checkbox'){
            tips="请选择";
            var name=$(this).attr('name')
            if($('[name='+name+']:checked').length<1){
                flag=0;
                layer.alert(tips+info+'!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
                return false;
            }
        }

        //验证富文本框
        if ($(this).hasClass('editor_in')) {
            var idattr = $(this).attr("id");
            var editVal = UE.getEditor(idattr).hasContents();
            info = $(this).siblings("input:hidden").attr('itext');
            if (!editVal && $(this).siblings("input:hidden").attr('required')) {
                flag = 0;
                layer.alert(tips + info + '!', {
                    skin: 'nprs2',
                    title: false,
                    shade: 0,
                    shift: 3,
                    btn: false,
                    time: 3000
                });
                return false;
            }
            $(this).siblings("input:hidden").val(UE.getEditor(idattr).getAllHtml());
        }else if (!oval) {//input验证
            flag=0;
            layer.alert(tips+info+'!', {
                skin: 'nprs2',
                title: false,
                shade: 0,
                shift: 3,
                btn: false,
                time: 3000
            });
            return false;
        }
    })
    return flag;
}